#!/bin/bash

function make_program () {
	PROG=$1
	if test -d $PROG ; then
		return 1
	fi
	tar zxf $PROG.tar.gz
	cd $PROG
	patch -p1 < ../$PROG-win32.patch
	CFLAGS=-O2 ./configure --host=i386-mingw32 --prefix=/mingw
	make
	make install
	cd ..
	hash -r
}

make_program m4-1.4
make_program automake-1.4
make_program autoconf-2.13
make_program libtool-1.3.5
make_program gettext-0.10.35
